Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 498477

Summary: simdock: $RPM_OPT_FLAGS not used
Product: [Fedora] Fedora Reporter: Ville Skyttä <ville.skytta>
Component: simdockAssignee: Terje Røsten <terje.rosten>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: terje.rosten
Target Milestone: ---Keywords: Patch
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-05-01 16:50:12 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 496968    
Attachments:
Description Flags
Use $RPM_OPT_FLAGS none

Description Ville Skyttä 2009-04-30 16:54:57 UTC
Created attachment 341958 [details]
Use $RPM_OPT_FLAGS

Fix attached, see bug 496968 for more info.  --disable-dependency-tracking is
related in the sense that using it might make problems like this easier to spot
in the future.

It could be useful to try persuade upstream not to blindly override user set environment variables (i.e. submit a corresponding patch to configure.ac there).

Comment 1 Terje Røsten 2009-05-01 16:50:12 UTC
Thanks for report and patch. Built for rawhide.

 http://koji.fedoraproject.org/koji/buildinfo?buildID=100481

Comment 2 Ville Skyttä 2009-05-02 08:50:26 UTC
Thanks.  Just a minor nit, in CVS, the "ä" in my surname changed to ISO-8859-1 (it was UTF-8 in my patch), you may want to fix that while at it.

Comment 3 Terje Røsten 2009-05-05 17:52:45 UTC
Sorry about that, fixed now.